Bug 427003 - Context of git-shell is not shell_exec_t
Context of git-shell is not shell_exec_t
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2007-12-29 17:02 EST by Dan Siemon
Modified: 2008-01-30 14:05 EST (History)
0 users

See Also:
Fixed In Version: Current
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-01-30 14:05:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Dan Siemon 2007-12-29 17:02:03 EST
Description of problem:
I have created a git user and set the SELinux user to guest_u. The shell for
this user has been changed to /usr/bin/git-shell. By default the context for
/usr/bin/git-shell is system_u:object_r:bin_t:s0. With this context the git user
cannot login and execute git-shell.

Changing the context of /usr/bin/git-shell to system_u:object_r:shell_exec_t:s0
fixes this problem.

In order to fix this temporarily I have added the following line to
/usr/bin/git-shell      --      system_u:object_r:shell_exec_t:s0

Version-Release number of selected component (if applicable):
Fedora 8 with updates current as of Dec 29.
Comment 1 Daniel Walsh 2007-12-31 06:45:28 EST
Fixed in selinux-policy-3.0.8-73.fc8
Comment 2 Daniel Walsh 2008-01-30 14:05:45 EST
Bulk closing a old selinux policy bugs that were in the modified state.  If the
bug is still not fixed.  Please reopen.

Note You need to log in before you can comment on or make changes to this bug.